1. WebService API
WebService
  • WebService API
    • SOAP 1.1 - NumberToWords
      POST
    • SOAP 1.1 - Calculator (SOAPAction)
      POST
    • SOAP/WSDL Example
      POST
    • SOAP 1.2 / WSDL - NumberToDollars
      POST
  • Schemas
    • Public Model
      • Enums
      • Public Response
    • Enum
      • UserStatus
    • User
  1. WebService API

SOAP 1.2 / WSDL - NumberToDollars

Developing
Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
POST
https://www.dataaccess.com/webservicesserver/NumberConversion.wso
SOAP 1.2 example using the same public service through its WSDL-defined operation.
Content-Type: application/soap+xml; charset=utf-8
SOAP 1.2 envelope namespace: http://www.w3.org/2003/05/soap-envelope
To try WSDL import, download https://www.dataaccess.com/webservicesserver/NumberConversion.wso?WSDL, then use Settings > Import Data > WSDL in Apidog.

Request

Header Params

Body Params application/xml

Example
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <NumberToDollars xmlns="http://www.dataaccess.com/webservicesserver/">
      <dNum>123.45</dNum>
    </NumberToDollars>
  </soap12:Body>
</soap12:Envelope>

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://www.dataaccess.com/webservicesserver/NumberConversion.wso' \
--header 'Content-Type: application/soap+xml; charset=utf-8' \
--data '<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <NumberToDollars xmlns="http://www.dataaccess.com/webservicesserver/">
      <dNum>123.45</dNum>
    </NumberToDollars>
  </soap12:Body>
</soap12:Envelope>'

Responses

🟢200Success
application/xml
Bodyapplication/xml

Example
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope>
  <soap:Body>
    <m:NumberToDollarsResponse>
      <m:NumberToDollarsResult>string</m:NumberToDollarsResult>
    </m:NumberToDollarsResponse>
  </soap:Body>
</soap:Envelope>
Modified at 2026-09-08 02:23:45
Previous
SOAP/WSDL Example
Next
Enums
Built with